do
--create an instance of the IADS
redIADS = SkynetIADS:create('EGYPT')

---debug settings remove from here on if you do not wan't any output on what the IADS is doing by default
--local iadsDebug = redIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.radarWentDark = true
--iadsDebug.contacts = true
--iadsDebug.radarWentLive = true
--iadsDebug.noWorkingCommmandCenter = false
--iadsDebug.ewRadarNoConnection = false
--iadsDebug.samNoConnection = false
--iadsDebug.jammerProbability = true
--iadsDebug.addedEWRadar = false
--iadsDebug.hasNoPower = false
--iadsDebug.harmDefence = true
--iadsDebug.samSiteStatusEnvOutput = true
--iadsDebug.earlyWarningRadarStatusEnvOutput = true
--iadsDebug.commandCenterStatusEnvOutput = true
---end remove debug ---

--add all units with unit name beginning with 'EW' to the IADS:
redIADS:addEarlyWarningRadarsByPrefix('RED EWR')

--add all groups begining with group name 'SAM' to the IADS:
redIADS:addSAMSitesByPrefix('RED SAM')

--add a command center:
rCommandCenter1 = StaticObject.getByName('RED IADS-Command-Center-1')
rCommandCenter2 = StaticObject.getByName('RED IADS-Command-Center-2')
redIADS:addCommandCenter(rCommandCenter1)
redIADS:addCommandCenter(rCommandCenter2)

---we add a K-50 AWACs, manually. This could just as well be automated by adding an 'EW' prefix to the unit name:
--redIADS:addEarlyWarningRadar('AWACS-K-50')

--add a power source and a connection node for this EW radar:
--local powerSource = StaticObject.getByName('Power-Source-EW-Center3')
--local connectionNodeEW = StaticObject.getByName('Connection-Node-EW-Center3')
--redIADS:getEarlyWarningRadarByUnitName('EW-Center3'):addPowerSource(powerSource):addConnectionNode(connectionNodeEW)

--add a connection node to this SA-2 site, and set the option for it to go dark, if it looses connection to the IADS:
--local connectionNode = Unit.getByName('Mobile-Command-Post-SAM-SA-2')
--redIADS:getSAMSiteByGroupName('SAM-SA-2'):addConnectionNode(connectionNode):setAutonomousBehaviour(SkynetIADSAbstractRadarElement.AUTONOMOUS_STATE_DARK)

--this SA-2 site will go live at 70% of its max search range:
--redIADS:getSAMSiteByGroupName('SAM-SA-2'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_SEARCH_RANGE):setGoLiveRangeInPercent(70)

--all SA-10 sites shall act as EW sites, meaning their radars will be on all the time:
--redIADS:getSAMSitesByNatoName('SA-10'):setActAsEW(true)

--set the sa15 as point defence for the SA-10 site, we set it to always react to a HARM so we can demonstrate the point defence mechanism in Skynet
--local sa15 = redIADS:getSAMSiteByGroupName('SAM-SA-15-point-defence-SA-10')
--redIADS:getSAMSiteByGroupName('SAM-SA-10'):addPointDefence(sa15):setHARMDetectionChance(100):setIgnoreHARMSWhilePointDefencesHaveAmmo(true)


--set this SA-11 site to go live 70% of max range of its missiles (default value: 100%), its HARM detection probability is set to 50% (default value: 70%)
--redIADS:getSAMSiteByGroupName('SAM-SA-11'):setGoLiveRangeInPercent(70):setHARMDetectionChance(50)

--this SA-6 site will always react to a HARM being fired at it:
--redIADS:getSAMSiteByGroupName('SAM-SA-6'):setHARMDetectionChance(100)

--set this SA-11 site to go live at maximunm search range (default is at maximung firing range):
--redIADS:getSAMSiteByGroupName('SAM-SA-11-2'):setEngagementZone(SkynetIADSAbstractRadarElement.GO_LIVE_WHEN_IN_SEARCH_RANGE)

--activate the radio menu to toggle IADS Status output
--redIADS:addRadioMenu()

-- activate the IADS
redIADS:activate()	

--add the jammer
--local jammer = SkynetIADSJammer:create(Unit.getByName('jammer-emitter'), redIADS)
--jammer:masterArmOn()
--jammer:addRadioMenu()

---some special code to remove the jammer aircraft if player is not flying with it in formation, has nothing to do with the IADS:
--local hornet = Unit.getByName('Hornet SA-11-2 Attack')
--if hornet == nil then
--	Unit.getByName('jammer-emitter'):destroy()
--	jammer:removeRadioMenu()
--end
--end special code

------setup blue IADS:
blueIADS = SkynetIADS:create('IDF')
blueIADS:addSAMSitesByPrefix('BLUE SAM')
blueIADS:addEarlyWarningRadarsByPrefix('BLUE EWR')

--add a command center:
bCommandCenter1 = StaticObject.getByName('BLUE IADS-Command-Center-1')
bCommandCenter2 = StaticObject.getByName('BLUE IADS-Command-Center-2')
blueIADS:addCommandCenter(bCommandCenter1)
blueIADS:addCommandCenter(bCommandCenter2)

blueIADS:activate()
--blueIADS:addRadioMenu()

--local iadsDebug = blueIADS:getDebugSettings()
--iadsDebug.IADSStatus = true
--iadsDebug.contacts = true

end